/* IMPORT */
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vscode = require("vscode");
const consts_1 = require("./consts");
const completion_1 = require("./todo/providers/completion");
const document_1 = require("./todo/decorators/document");
const utils_1 = require("./utils");
/* ACTIVATE */
const activate = function (context) {
    utils_1.default.initLanguage();
    context.subscriptions.push(vscode.languages.registerCompletionItemProvider(consts_1.default.languageId, new completion_1.default(), consts_1.default.symbols.tag));
    context.subscriptions.push(vscode.workspace.onDidChangeTextDocument(() => document_1.default.decorate()));
    context.subscriptions.push(vscode.window.onDidChangeActiveTextEditor(() => document_1.default.decorate()));
    document_1.default.decorate();
    return utils_1.default.initCommands(context);
};
exports.activate = activate;
//# sourceMappingURL=extension.js.map