/* IMPORT */
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
const vscode = require("vscode");
const comment_1 = require("./comment");
const project_1 = require("./project");
const done_1 = require("./done");
const cancel_1 = require("./cancel");
const code_1 = require("./code");
const tags_1 = require("./tags");
const style_1 = require("./style");
const document_1 = require("../document");
const utils_1 = require("../../utils");
/* DOCUMENT */
class Document {
    static decorate(textEditor = vscode.window.activeTextEditor) {
        if (!utils_1.default.editor.isSupported(textEditor))
            return;
        const doc = new document_1.default(textEditor.document), lines = doc.getLines(), codes = doc.getCodes(), comments = doc.getComments(), projects = doc.getProjects(), todos = doc.getTodos(), decorations = Document.getDecorations(lines, codes, comments, projects, todos);
        decorations.forEach(({ type, ranges }) => textEditor.setDecorations(type, ranges));
    }
    static getDecorations(lines, codes, comments, projects, todos) {
        let codeRanges = new code_1.default().getRanges(codes), negRanges = _.filter(_.flatten(_.flatten(codeRanges).map(range => lines.map(line => line.range.intersection(range))))).map(range => ({ line: range.start.line, start: range.start.character, end: range.end.character })); //FIXME: O(n²), ugly //TSC
        return _.concat(new tags_1.default().getDecorations(lines, negRanges), new code_1.default().getDecorations(codes), new comment_1.default().getDecorations(comments, negRanges), new project_1.default().getDecorations(projects, negRanges), new done_1.default().getDecorations(todos, negRanges), new cancel_1.default().getDecorations(todos, negRanges), new style_1.default().getDecorations(lines, negRanges));
    }
}
/* EXPORT */
exports.default = Document;
//# sourceMappingURL=document.js.map