/* IMPORT */
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vscode = require("vscode");
const line_1 = require("./line");
const config_1 = require("../../config");
const consts_1 = require("../../consts");
/* STYLE */
const BOLD = vscode.window.createTextEditorDecorationType({
    textDecoration: 'none; font-weight: bold;'
});
const ITALIC = vscode.window.createTextEditorDecorationType({
    textDecoration: 'none; font-style: italic;'
});
const STRIKETHROUGH = vscode.window.createTextEditorDecorationType({
    textDecoration: 'none; text-decoration: line-through;'
});
class Style extends line_1.default {
    constructor() {
        super(...arguments);
        this.TYPES = [BOLD, ITALIC, STRIKETHROUGH];
    }
    getItemRanges(line, negRange) {
        return [
            this.getRangesRegex(line.startLine, consts_1.default.regexes.bold, undefined, negRange),
            this.getRangesRegex(line.startLine, consts_1.default.regexes.italic, undefined, negRange),
            this.getRangesRegex(line.startLine, consts_1.default.regexes.strikethrough, undefined, negRange)
        ];
    }
    getDecorations(items, negRange) {
        if (!config_1.default.getKey('formatting.enabled'))
            return [];
        return super.getDecorations(items, negRange);
    }
}
/* EXPORT */
exports.default = Style;
//# sourceMappingURL=style.js.map