/* IMPORT */
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
const vscode = require("vscode");
const line_1 = require("./line");
const consts_1 = require("../../consts");
/* TAGS */
const { names, backgroundColors, foregroundColors } = consts_1.default.tags;
const SPECIAL_TAGS = names.map((name, index) => vscode.window.createTextEditorDecorationType({
    backgroundColor: backgroundColors[index],
    color: foregroundColors[index],
    borderRadius: '2px'
}));
const TAG = vscode.window.createTextEditorDecorationType({
    color: consts_1.default.colors.tag
});
class Tags extends line_1.default {
    constructor() {
        super(...arguments);
        this.TYPES = [...SPECIAL_TAGS, TAG];
    }
    getItemRanges(line, negRange) {
        return [
            ...names.map(name => {
                const tag = `@${name}`, regex = new RegExp(`(?:^|[^a-zA-Z0-9])(${_.escapeRegExp(tag)}(?:\\([^)]*\\))?)(?![a-zA-Z])`, 'gm');
                return this.getRangesRegex(line.startLine, regex, undefined, negRange);
            }),
            this.getRangesRegex(line.startLine, consts_1.default.regexes.tag, undefined, negRange)
        ];
    }
}
/* EXPORT */
exports.default = Tags;
//# sourceMappingURL=tags.js.map