/* IMPORT */
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vscode = require("vscode");
/* ITEM */
class Item {
    constructor(textDocument, startPos, endPos, startLine, endLine, text) {
        this.textDocument = textDocument;
        this.startPos = startPos;
        this.startOffset = this.textDocument.offsetAt(this.startPos);
        this.endPos = endPos;
        this.endOffset = this.textDocument.offsetAt(this.endPos);
        this.range = new vscode.Range(this.startPos, this.endPos);
        this.startLine = startLine;
        this.endLine = endLine;
        this.text = text;
        this.isMultiline = this.startLine.lineNumber !== this.endLine.lineNumber;
    }
    static is(str, regex) {
        return !!str.match(regex);
    }
}
/* EXPORT */
exports.default = Item;
//# sourceMappingURL=item.js.map